    ﻿import { Zondy } from '../../../base'
    import CTheme from './CTheme'
    import CThemeInfo from './CThemeInfo'
    import { defaultValue } from '../../../util'
    /**
     * 统一配置专题图
     * @class module:专题图服务.CSimpleTheme
     * @classdesc 统一配置专题图
     * @description Zondy.Object.Theme.CSimpleTheme
     * @extends CTheme
     * @param {Object} options 属性键值对
     * @param {Zondy.Object.Theme.CThemeInfo} [options.ThemeInfo = new CThemeInfo()] 缺省专题绘制信息 {@link Zondy.Object.Theme.CThemeInfo}
     */
    class CSimpleTheme extends CTheme {
      constructor(options) {
        options = defaultValue(options, {})
        super(options)
        /**
         * @private
         * @member Zondy.Object.Theme.CSimpleTheme.prototype.ThemeInfo
         * @type {Zondy.Object.Theme.CThemeInfo}
         * @description 缺省专题绘制信息 {@link Zondy.Object.Theme.CThemeInfo}
         * @default new CThemeInfo()
         */
        this.ThemeInfo =
          options.ThemeInfo !== undefined ? options.ThemeInfo : new CThemeInfo()

        /**
         * @private
         * @member Zondy.Object.Theme.CSimpleTheme.prototype.Type
         * @type {String}
         * @description 专题图类型,只读属性
         * @default "CSimpleTheme"
         */
        this.Type = 'CSimpleTheme'
      }
    }
    export default CSimpleTheme
    Zondy.Object.Theme.CSimpleTheme = CSimpleTheme